<!DOCTYPE html>
<html lang="pl" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Rejestracja</title>
    <link rel="stylesheet" th:href="@{/css/authorization_form.css}" />
    <link rel="stylesheet"
          th:href="@{https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css}"/>
    <link rel="stylesheet" type="text/css" th:href="@{/webjars/bootstrap/css/bootstrap.min.css}"/>
</head>
<body>
<div class="container-fluid">

    <div class="login-box">
        <h2>Rejestracja</h2>
        <form method="post" action="/register" th:object="${registerRequest}">
            <div class="user-box">
                <input type="text" name="login" required>
                <label>Login</label>
            </div>
            <div class="user-box">
                <input type="email" name="email" required>
                <label>Email</label>
            </div>
            <div class="user-box">
                <input type="password" name="password" pattern="(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{8,}"
                       title="Hasło musi zawierać co najmniej jedną cyfrę i jedną wielką i małą literę oraz co najmniej 8 znaków" required>

                <label>Hasło</label>
            </div>
            <a href="/">Powrót</a>
            <button type="submit">
              <a>
                <span></span>
                <span></span>
                <span></span>
                <span></span>
                Zarejestruj
              </a>
            </button>
        </form>
    </div>
</div>
</body>
</html>